/**
 * Enum for various application life cycle status
 */
export declare enum ApplicationDefaultStatus {
    UNKNOWN = "UNKNOWN"
}
/**
 * Enum for application startup status
 */
export declare enum ApplicationStartupStatus {
    STARTING = "STARTING",
    UP = "UP"
}
/**
 * Enum for application shutdown status
 */
export declare enum ApplicationShtudownStatus {
    STOPPING = "STOPPING",
    STOPPED = "STOPPED"
}
/**
 * Enum for application status
 */
export declare enum ApplicationStatus {
    DOWN = "DOWN",
    UP = "UP"
}
export type ApplicationLifeCycleStatusTypes = ApplicationDefaultStatus | ApplicationShtudownStatus | ApplicationStartupStatus | ApplicationStatus;
